*     G05FFF Example Program Text
*     Mark 20 Revised. NAG Copyright 2001.
*     .. Parameters ..
      INTEGER          NOUT
      PARAMETER        (NOUT=6)
      INTEGER          N
      PARAMETER        (N=5)
*     .. Local Scalars ..
      INTEGER          IFAIL, J
*     .. Local Arrays ..
      DOUBLE PRECISION X(N)
*     .. External Subroutines ..
      EXTERNAL         G05CBF, G05FFF, G05ZAF
*     .. Executable Statements ..
      CALL G05ZAF('O')
      WRITE (NOUT,*) 'G05FFF Example Program Results'
      WRITE (NOUT,*)
      IFAIL = 0
      CALL G05CBF(0)
      WRITE (NOUT,*) 'Gamma Dist --- A=5.0, B=1.0'
*
      CALL G05FFF(5.0D0,1.0D0,N,X,IFAIL)
*
      WRITE (NOUT,99999) (X(J),J=1,N)
      STOP
*
99999 FORMAT (1X,F10.4)
      END
